SeExpr

Public Member Functions | Public Attributes | Private Slots | List of all members
ExprAddDialog Class Reference

This class is the UI for adding widgets. More...

`#include <ExprControlCollection.h>`

Inheritance diagram for ExprAddDialog:

## Public Member Functions
| ExprAddDialog (int &count, QWidget *parent=0)
const char * | initSwatch ()

## Public Attributes
QLineEdit * | variableName
QTabWidget * | tabWidget
QLineEdit * | intDefault
QLineEdit * | intMin
QLineEdit * | intMax
QLineEdit * | floatDefault
QLineEdit * | floatMin
QLineEdit * | floatMax
QLineEdit * | vectorDefault0
QLineEdit * | vectorDefault1
QLineEdit * | vectorDefault2
QLineEdit * | vectorMin
QLineEdit * | vectorMax
QLineEdit * | curveLookup
QLineEdit * | colorCurveLookup
QLineEdit * | animCurveLookup
QLineEdit * | animCurveLink
QLineEdit * | swatchLookup
QLineEdit * | deepWaterLookup
QRadioButton * | rainbowPaletteBtn
QRadioButton * | grayPaletteBtn
QColor | color
QPushButton * | colorWidget
QComboBox * | stringTypeWidget
QLineEdit * | stringDefaultWidget
QLineEdit * | stringNameWidget

## Private Slots
void | colorChooseClicked ()

## Detailed Description

This class is the UI for adding widgets.

Definition at line 40 of file ExprControlCollection.h.

## Constructor & Destructor Documentation

## ◆ ExprAddDialog()

ExprAddDialog::ExprAddDialog | ( | int & | count,
|  | QWidget * | parent = `0`
| ) |  |

Definition at line 61 of file ExprControlCollection.cpp.

References animCurveLink, animCurveLookup, color, colorChooseClicked(), colorCurveLookup, colorWidget, curveLookup, deepWaterLookup, floatDefault, floatMax, floatMin, grayPaletteBtn, intDefault, intMax, intMin, rainbowPaletteBtn, stringDefaultWidget, stringNameWidget, stringTypeWidget, swatchLookup, tabWidget, variableName, vectorDefault0, vectorDefault1, vectorDefault2, vectorMax, and vectorMin.

## Member Function Documentation

## ◆ colorChooseClicked

void ExprAddDialog::colorChooseClicked | ( |  | ) |
| private slot

Definition at line 247 of file ExprControlCollection.cpp.

References color.

Referenced by ExprAddDialog().

## ◆ initSwatch()

const char * ExprAddDialog::initSwatch | ( |  | ) |

Definition at line 256 of file ExprControlCollection.cpp.

References grayPaletteBtn, and rainbowPaletteBtn.

Referenced by ExprControlCollection::addControlDialog().

## Member Data Documentation

## ◆ animCurveLink

QLineEdit* ExprAddDialog::animCurveLink

Definition at line 60 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ animCurveLookup

QLineEdit* ExprAddDialog::animCurveLookup

Definition at line 59 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ color

QColor ExprAddDialog::color

Definition at line 65 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), colorChooseClicked(), and ExprAddDialog().

## ◆ colorCurveLookup

QLineEdit* ExprAddDialog::colorCurveLookup

Definition at line 58 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ colorWidget

QPushButton* ExprAddDialog::colorWidget

Definition at line 66 of file ExprControlCollection.h.

Referenced by ExprAddDialog().

## ◆ curveLookup

QLineEdit* ExprAddDialog::curveLookup

Definition at line 57 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ deepWaterLookup

QLineEdit* ExprAddDialog::deepWaterLookup

Definition at line 62 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ floatDefault

QLineEdit* ExprAddDialog::floatDefault

Definition at line 49 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ floatMax

QLineEdit* ExprAddDialog::floatMax

Definition at line 51 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ floatMin

QLineEdit* ExprAddDialog::floatMin

Definition at line 50 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ grayPaletteBtn

QRadioButton* ExprAddDialog::grayPaletteBtn

Definition at line 64 of file ExprControlCollection.h.

Referenced by ExprAddDialog(), and initSwatch().

## ◆ intDefault

QLineEdit* ExprAddDialog::intDefault

Definition at line 46 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ intMax

QLineEdit* ExprAddDialog::intMax

Definition at line 48 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ intMin

QLineEdit* ExprAddDialog::intMin

Definition at line 47 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ rainbowPaletteBtn

QRadioButton* ExprAddDialog::rainbowPaletteBtn

Definition at line 63 of file ExprControlCollection.h.

Referenced by ExprAddDialog(), and initSwatch().

## ◆ stringDefaultWidget

QLineEdit* ExprAddDialog::stringDefaultWidget

Definition at line 68 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ stringNameWidget

QLineEdit* ExprAddDialog::stringNameWidget

Definition at line 69 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ stringTypeWidget

QComboBox* ExprAddDialog::stringTypeWidget

Definition at line 67 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ swatchLookup

QLineEdit* ExprAddDialog::swatchLookup

Definition at line 61 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ tabWidget

QTabWidget* ExprAddDialog::tabWidget

Definition at line 45 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ variableName

QLineEdit* ExprAddDialog::variableName

Definition at line 41 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ vectorDefault0

QLineEdit* ExprAddDialog::vectorDefault0

Definition at line 52 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ vectorDefault1

QLineEdit* ExprAddDialog::vectorDefault1

Definition at line 53 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ vectorDefault2

QLineEdit* ExprAddDialog::vectorDefault2

Definition at line 54 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ vectorMax

QLineEdit* ExprAddDialog::vectorMax

Definition at line 56 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

## ◆ vectorMin

QLineEdit* ExprAddDialog::vectorMin

Definition at line 55 of file ExprControlCollection.h.

Referenced by ExprControlCollection::addControlDialog(), and ExprAddDialog().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControlCollection.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprControlCollection.cpp